+++ ./makeman.pl	2016-11-17 23:47:04.153725109 +0100
@@ -9,8 +9,8 @@
 # Version 0.2
 
 # Command-line options: none
-# Files needed        : ./vpnc ./vpnc.8.template ./VERSION
-# Files created       : ./vpnc.8
+# Files needed        : ./vpnc ./vpnc.1m.template ./VERSION
+# Files created       : ./vpnc.1m
 # Exit status         : errno-values or 255 (Magic string not found)
 
 # Distributed under the same licence as vpnc.
@@ -98,8 +98,8 @@
 close $VERSION;
 chomp $vpnc_version;
 
-open my $TEMPLATE, '<', './vpnc.8.template';
-open my $MANPAGE , '>', './vpnc.8';
+open my $TEMPLATE, '<', './vpnc.1m.template';
+open my $MANPAGE , '>', './vpnc.1m';
 my $magic_found;
 my $MAGIC_FOR_HEADER  = qq(.\\" ###makeman.pl: Replace header here!\n);
 my $MAGIC_FOR_OPTIONS = qq(.\\" ###makeman.pl: Insert options from help-output here!\n);
@@ -113,7 +113,7 @@
 print {$MANPAGE} <<"END_MANPAGE_HEADER";
 .\\" This manpage is generated!
 .\\" Please edit the template-file in the source-distribution only.
-.TH VPNC "8" "$date" "vpnc version $vpnc_version" "System Administration Utilities"
+.TH VPNC "1m" "$date" "vpnc version $vpnc_version" "System Administration Utilities"
 END_MANPAGE_HEADER
 
 $magic_found = 0;
diff --git a/Makefile b/Makefile
index c66bb5e..3deeb96 100644
--- a/Makefile
+++ b/Makefile
@@ -76,12 +76,12 @@ ifneq (,$(findstring Apple,$(shell $(CC) --version)))
 CFLAGS += -fstrict-aliasing -freorder-blocks -fsched-interblock
 endif
 
-all : $(BINS) vpnc.8
+all : $(BINS) vpnc.1m
 
 vpnc : $(OBJS) vpnc.o
 	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 
-vpnc.8 : vpnc.8.template makeman.pl vpnc
+vpnc.1m : vpnc.1m.template makeman.pl vpnc
 	./makeman.pl
 
 cisco-decrypt : cisco-decrypt.o decrypt-utils.o
@@ -117,16 +117,16 @@ test : all
 	./test-crypto test/sig_data.bin test/dec_data.bin test/ca_list.pem \
 		test/cert3.pem test/cert2.pem test/cert1.pem test/cert0.pem
 
-dist : VERSION vpnc.8 vpnc-$(RELEASE_VERSION).tar.gz
+dist : VERSION vpnc.1m vpnc-$(RELEASE_VERSION).tar.gz
 
 clean :
 	-rm -f $(OBJS) $(BINOBJS) $(BINS) tags
 
 distclean : clean
-	-rm -f vpnc-debug.c vpnc-debug.h vpnc.ps vpnc.8 .depend
+	-rm -f vpnc-debug.c vpnc-debug.h vpnc.ps vpnc.1m .depend
 
 install-common: all
-	install -d $(DESTDIR)$(ETCDIR) $(DESTDIR)$(BINDIR) $(DESTDIR)$(SBINDIR) $(DESTDIR)$(MANDIR)/man1 $(DESTDIR)$(MANDIR)/man8 $(DESTDIR)$(DOCDIR)
+	install -d $(DESTDIR)$(ETCDIR) $(DESTDIR)$(BINDIR) $(DESTDIR)$(SBINDIR) $(DESTDIR)$(MANDIR)/man1 $(DESTDIR)$(MANDIR)/man1m $(DESTDIR)$(DOCDIR)
 	if [ "`uname -s | cut -c-6`" = "CYGWIN" ]; then \
 		install vpnc-script-win $(DESTDIR)$(ETCDIR)/vpnc-script; \
 		install vpnc-script-win.js $(DESTDIR)$(ETCDIR); \
diff --git a/vpnc.8.template b/vpnc.8.template
index 854a806..43f2b59 100644
--- a/vpnc.8.template
+++ b/vpnc.8.template
@@ -1,7 +1,7 @@
 .\" Template to generate the vpnc-manpage
-.\" $Id: vpnc.8.template 541 2014-02-18 05:09:33Z Antonio Borneo $
+.\" $Id: vpnc.1m.template 541 2014-02-18 05:09:33Z Antonio Borneo $
 .\"
-.TH VPNC "8" "Warning: Just a template!" "vpnc man-template" "Warning: Just a template!"
+.TH VPNC "1m" "Warning: Just a template!" "vpnc man-template" "Warning: Just a template!"
 .\" Fake header just to make this file viewable with man.
 .\" ###makeman.pl: Replace header here!
 .SH NAME
@@ -212,7 +212,6 @@ License can be found in /usr/share/common\-licenses/GPL.
 .SH "SEE ALSO"
 .BR pcf2vpnc (1),
 .BR cisco\-decrypt (1),
-.BR ip (8),
-.BR ifconfig (8),
+.BR ifconfig (1m),
 .BR route (1),
 .BR http://www.unix\-ag.uni\-kl.de/~massar/vpnc/
diff --git a/Makefile b/Makefile
index 7777a45..610c365 100644
--- a/Makefile
+++ b/Makefile
@@ -136,7 +136,7 @@ install-common: all
 	install -m600 vpnc.conf $(DESTDIR)$(ETCDIR)/default.conf
 	install -m755 vpnc-disconnect $(DESTDIR)$(SBINDIR)
 	install -m755 pcf2vpnc $(DESTDIR)$(BINDIR)
-	install -m644 vpnc.8 $(DESTDIR)$(MANDIR)/man8
+	install -m644 vpnc.1m $(DESTDIR)$(MANDIR)/man1m
 	install -m644 pcf2vpnc.1 $(DESTDIR)$(MANDIR)/man1
 	install -m644 cisco-decrypt.1 $(DESTDIR)$(MANDIR)/man1
 	install -m644 COPYING $(DESTDIR)$(DOCDIR)
@@ -156,7 +156,7 @@ uninstall :
 		$(DESTDIR)$(BINDIR)/cisco-decrypt \
 		$(DESTDIR)$(MANDIR)/man1/cisco-decrypt.1 \
 		$(DESTDIR)$(MANDIR)/man1/pcf2vpnc \
-		$(DESTDIR)$(MANDIR)/man8/vpnc.8
+		$(DESTDIR)$(MANDIR)/man1m/vpnc.1m
 	@echo NOTE: remove $(DESTDIR)$(ETCDIR) manually
 
 .PHONY : clean distclean dist all install install-strip uninstall
